SystemOrganization addCategory: #'Rizel-Roassal-Views-Tests'!

TestCase subclass: #RzVisualizer1DTest
	instanceVariableNames: 'window'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Roassal-Views-Tests'!

!RzVisualizer1DTest commentStamp: '<historical>' prior: 0!
A RzVisualizer1DTest is a test class for testing the behavior of RzVisualizer1D!

!RzVisualizer1DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/7/2012 17:04'!
tearDown 
	""
	window ifNotNilDo: [ :w | w delete].! !

!RzVisualizer1DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/6/2012 22:23'!
testBarWidth
	"
	self new testBarWidth
	"
	window := RzVisualizer1D new 
			values: #( 10 20 30 40 10);
			barWidth: 20;
			visualize.! !

!RzVisualizer1DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/6/2012 22:21'!
testBasic
	"
	self new testBasic
	"
	window := RzVisualizer1D new 
			values: #( 10 20 30 40 10);
			visualize.! !

!RzVisualizer1DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/6/2012 22:23'!
testGap
	"
	self new testGap
	"
	window := RzVisualizer1D new 
			values: #( 10 20 30 40 10);
			gap: 40;
			visualize.! !

!RzVisualizer1DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/6/2012 22:23'!
testHeight
	"
	self new testHeight
	"
	window := RzVisualizer1D new 
			values: #( 10 20 30 40 10);
			height: 300;
			visualize.! !

!RzVisualizer1DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/6/2012 22:23'!
testLabel
	"
	self new testLabel
	"
	window := RzVisualizer1D new 
			values: #( 10 20 30 40 10);
			label: [ :model | 'x'];
			visualize.! !

!RzVisualizer1DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/7/2012 17:21'!
testOwner
	"
	self new testPadding
	"
	|viz|
	viz  := RzVisualizer1D owner: 3.
	window := viz
				values: #( 10 20 30 40 10);
				padding: 100;
				visualize.
				
	self assert: (viz owner = 3).! !

!RzVisualizer1DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/7/2012 17:19'!
testPadding
	"
	self new testPadding
	"
	window := RzVisualizer1D new 
			values: #( 10 20 30 40 10);
			padding: 100;
			visualize.! !

TestCase subclass: #RzVisualizer2DTest
	instanceVariableNames: 'resultSet xs ys window'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Roassal-Views-Tests'!

!RzVisualizer2DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/7/2012 17:04'!
tearDown
	window ifNotNilDo: [:w| w delete.]! !

!RzVisualizer2DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/6/2012 22:30'!
testBasic
	"
	self new testBasic
	"
	window := RzVisualizer2D new
						xValues: #(1 2 3);
						yValues: #(1 2 3);
						value: [ :x :y | x+y ];
						visualize.! !

!RzVisualizer2DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/7/2012 17:03'!
testColor
	"
	self new testColor
	"
	window := RzVisualizer2D new
						xValues: #(1 2 3);
						yValues: #(1 2 3);
						value: [ :x :y | x//y ];
						color: Color blue;
						visualize.! !

!RzVisualizer2DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/7/2012 17:03'!
testFactor
	"
	self new testFactor
	"
	window := RzVisualizer2D new
						xValues: #(1 2 3);
						yValues: #(1 2 3);
						value: [ :x :y | x//y ];
						factor: 50;
						visualize.! !

!RzVisualizer2DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/7/2012 17:02'!
testGap
	"
	self new testGap
	"
	window := RzVisualizer2D new
						xValues: #(1 2 3);
						yValues: #(1 2 3);
						value: [ :x :y | x//y ];
						gap: 50;
						visualize.! !

!RzVisualizer2DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/7/2012 17:11'!
testLabels
	"
	self new testLabels
	"
	window := RzVisualizer2D new
						xValues: #(1 2 3);
						yValues: #(1 2 3);
						value: [ :x :y | x//y ];
						padding: 100;
						yLabel:[ :number| 'long long text'];
						xLabel:[ :number| 'text'];
						visualize.! !

!RzVisualizer2DTest methodsFor: 'testing' stamp: 'JuanPabloSandovalAlcocer 7/7/2012 17:00'!
testPadding
	"
	self new testPadding
	"
	window := RzVisualizer2D new
						xValues: #(1 2 3);
						yValues: #(1 2 3);
						value: [ :x :y | x//y ];
						padding: 100;
						yLabel:[ :number| 'long long text'];
						visualize.! !
